<h1 align="center">NXS SWIPER</h1>

<p align="center">Swiper</p>

## Table of Contents

- [Installing](#installing) - How to install
- [Demo](#demo) - How this plugin works
- [Code example](#code-example) - How to use

## Installing

Add to pubspec.yaml file

```yaml
dependencies:
  nxs_swiper: ^0.0.3
```

Import

```dart
import 'package:nxs_swiper/nxs_swiper.dart';
```

## Demo

## Code example

<details>
  <summary>Code example (click to expand)</summary>
  
```dart
class MySwiperScreenState extends State<MySwiperScreen> {
  List<Container> pages = [];

  @override
  void initState() {
    super.initState();

    pages.add(
      Container(
        child: Text("Page 1"),
      ),
    );
    pages.add(
      Container(
        child: Text("Page 1"),
      ),
    );
    pages.add(
      Container(
        child: Text("Page 1"),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return CustomSlider(
      pages: this.pages,
      paginationDotBorderColor: Colors.white,
      paginationDotBackgroundColor = Colors.transparent,
      paginationDotCurrentBackgroundColor = Colors.white
    );
  }
}
````

</details>